import React__default from 'react';
import GlobalContext from '@para-ui/core/GlobalContext';

function useGlobalProps(comProps, comName) {
  var _React$useContext = React__default.useContext(GlobalContext),
    componentsProps = _React$useContext.componentsProps;
  var globalProps = componentsProps && componentsProps[comName];
  return Object.assign(Object.assign({}, globalProps), comProps);
}

export { useGlobalProps as u };
